package frc.robot.subsystems;

import com.revrobotics.CANSparkMax;
import com.revrobotics.CANSparkLowLevel.MotorType;

import edu.wpi.first.wpilibj.DigitalInput;
import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.SubsystemBase;

public class Hood extends SubsystemBase {
    
    private CANSparkMax pivotMotor;

    private DigitalInput bottomLimitSwitch;
    private DigitalInput topLimitSwitch;

    public Hood() {
        pivotMotor = new CANSparkMax(0, MotorType.kBrushless);

        bottomLimitSwitch = new DigitalInput(0);
        topLimitSwitch = new DigitalInput(0);
    }

    public Command hoodUp() {
        return run(() -> {
            if (topLimitSwitch.get()) {
                pivotMotor.set(0);
            } else {
                pivotMotor.set(.5);
            }
        });
    }

    public Command hoodDown() {
        return run(() -> {
            if (bottomLimitSwitch.get()) {
                pivotMotor.set(0);
            } else {
                pivotMotor.set(-0.5);
            }
        });
    }
}
